SPIPE(1)

NAME
spipe - spiped client utility

SYNOPSIS
spipe -t <target socket> -k <key file> [-f | -g] [-j] [-o <connection timeout>]
spiped -v

OPTIONS

-t <target socket>
    Address to which spipe should connect. Must be in one of the following formats:

•   /absolute/path/to/unix/socket

•   host.name:port

•   [ip.v4.ad.dr]:port

•   [ipv6::addr]:port

-k <key file>
    Use the provided key file to authenticate and encrypt. Pass "-" to read from standard input. Note that reading the key via standard input will make it impossible to read anything else via standard input, thereby limiting spipe to receiving data but not sending any.

-f  Use fast/weak handshaking: This reduces the CPU time spent in the initial connection setup by disabling the Diffie-Hellman handshake, at the expense of losing perfect forward secrecy.

-g  Require perfect forward secrecy by dropping connections if the other host is using the -f option.

-j  Disable transport layer keep-alives. (By default they are enabled.)

-o <connection timeout>
    Timeout, in seconds, after which an attempt to connect to the target or a protocol handshake will be aborted (and the connection dropped) if not completed. Defaults to 5s.

-v  Print version number.

SEE ALSO
spiped(1).